Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.trackback.event
Class TrackbackResponseSubmissionEvent

    java.lang.Object
      org.blojsom.event.Event
          org.blojsom.plugin.response.event.ResponseSubmissionEvent
              org.blojsom.plugin.trackback.event.TrackbackResponseSubmissionEvent

public class TrackbackResponseSubmissionEvent
extends ResponseSubmissionEvent

Trackback response submission event

Since:
  blojsom 3.0
Version:
  $Id: TrackbackResponseSubmissionEvent.java,v 1.1 2006/03/20 21:31:04 czarneckid Exp $
Author:
  David Czarnecki

Field Summary

Fields inherited from class org.blojsom.plugin.response.event.ResponseSubmissionEvent
`_blog, _content, _entry, _httpServletRequest, _httpServletResponse, _metaData, _submitter, _submitterItem1, _submitterItem2`

Fields inherited from class org.blojsom.event.Event
`_eventHandled, _source, _timestamp`

Constructor Summary
`TrackbackResponseSubmissionEvent(java.lang.Object source, java.util.Date timestamp, Blog blog, javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, java.lang.String submitter, java.lang.String submitterItem1, java.lang.String submitterItem2, java.lang.String content, Entry entry, java.util.Map metaData)` Create a new instance of the trackback response submission event

Methods inherited from class org.blojsom.plugin.response.event.ResponseSubmissionEvent
`getBlog, getContent, getEntry, getHttpServletRequest, getHttpServletResponse, getMetaData, getSubmitter, getSubmitterItem1, getSubmitterItem2, setContent, setSubmitter, setSubmitterItem1, setSubmitterItem2`

Methods inherited from class org.blojsom.event.Event
`getSource, getTimestamp, isEventHandled, setEventHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrackbackResponseSubmissionEvent

    public TrackbackResponseSubmissionEvent(java.lang.Object source,
                                            java.util.Date timestamp,
                                            Blog blog,
                                            javax.servlet.http.HttpServletRequest httpServletRequest,
                                            javax.servlet.http.HttpServletResponse httpServletResponse,
                                            java.lang.String submitter,
                                            java.lang.String submitterItem1,
                                            java.lang.String submitterItem2,
                                            java.lang.String content,
                                            Entry entry,
                                            java.util.Map metaData)

  Create a new instance of the trackback response submission event

Parameters:
  `source` - Source of event
  `timestamp` - Time of event
  `blog` - `Blog`
  `httpServletRequest` - `HttpServletRequest`
  `httpServletResponse` - `HttpServletResponse`
  `submitter` - Submitter (blogName)
  `submitterItem1` - Submitter data item 1 (title)
  `submitterItem2` - Submitter data item 2 (URL)
  `content` - Trackback excerpt
  `entry` - `Entry`
  `metaData` - Trackback meta-data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD